package com.hzs.system.board.service.impl;

import com.hzs.system.board.mapper.BoardMapper;
import com.hzs.system.board.service.IBoardService;
import com.hzs.system.board.vo.BoardAchieveVO;
import com.hzs.system.board.vo.BoardMemberLevelVO;
import com.hzs.system.board.vo.BoardMemberVO;
import com.hzs.system.board.vo.BoardRechargeAccountVO;
import org.springframework.stereotype.Service;

import javax.annotation.Resource;
import java.util.List;

/**
 * 首页看板 service
 */
@Service
public class BoardServiceImpl implements IBoardService {

    @Resource
    private BoardMapper boardMapper;

    @Override
    public BoardMemberVO getMemberBoard() {
        return boardMapper.getMemberBoard();
    }

    @Override
    public List<BoardMemberLevelVO> listMemberLevelBoard() {
        return boardMapper.listMemberLevelBoard();
    }

    @Override
    public List<BoardAchieveVO> getDayAchieve() {
        return boardMapper.getDayAchieve();
    }

    @Override
    public BoardAchieveVO getMonthAchieve() {
        return boardMapper.getMonthAchieve();
    }

    @Override
    public List<BoardRechargeAccountVO> listAccountRechargeBoard() {
        return boardMapper.listAccountRechargeBoard();
    }

}
